### Enumeration

# Gtk TreeModelFlags

#### Declaration

    flags Gtk.TreeModelFlags

#### Description [src]

These flags indicate various properties of a `GtkTreeModel`.

They are returned by gtk_tree_model_get_flags(), and must be static for the lifetime of the object. A more complete description of `GTK_TREE_MODEL_ITERS_PERSIST` can be found in the overview of this section.

#### Members

Name | Description
--- | ---
`GTK_TREE_MODEL_ITERS_PERSIST` | Iterators survive all signals emitted by the tree.
`GTK_TREE_MODEL_LIST_ONLY` | The model is a list only, and never has children.